/*
 * Copyright (C) 2015 Nu Development Team
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package functions;


import com.nubits.nubot.models.CurrencyList;
import com.nubits.nubot.models.CurrencyPair;
import junit.framework.TestCase;
import org.junit.Test;

public class TestCurrencyPair extends TestCase {

    @Test
    public void testParseUSNBT() {
        CurrencyPair pair = CurrencyPair.getCurrencyPairFromString("usnbt_btc");
        assertTrue(pair != null);
        assertTrue(pair.getOrderCurrency().equals(CurrencyList.USNBT));
        assertTrue(pair.getPaymentCurrency().equals(CurrencyList.BTC));

        assertTrue(pair.toStringSep().equals("usnbt_btc"));
    }

    @Test
    public void testParseEUNBT() {
        CurrencyPair pair = CurrencyPair.getCurrencyPairFromString("eunbt_btc");
        assertTrue(pair != null);
        assertTrue(pair.getOrderCurrency().equals(CurrencyList.EUNBT));
        assertTrue(pair.getPaymentCurrency().equals(CurrencyList.BTC));

        assertTrue(pair.toStringSep().equals("eunbt_btc"));
    }

    @Test
    public void testParseCNNBT() {
        CurrencyPair pair = CurrencyPair.getCurrencyPairFromString("cnnbt_btc");
        assertTrue(pair != null);
        assertTrue(pair.getOrderCurrency().equals(CurrencyList.CNNBT));
        assertTrue(pair.getPaymentCurrency().equals(CurrencyList.BTC));

        assertTrue(pair.toStringSep().equals("cnnbt_btc"));
    }

    @Test
    public void testParseXNBT() {
        CurrencyPair pair = CurrencyPair.getCurrencyPairFromString("xnbt_btc");
        assertTrue(pair != null);
        assertTrue(pair.getOrderCurrency().equals(CurrencyList.XNBT));
        assertTrue(pair.getPaymentCurrency().equals(CurrencyList.BTC));

        assertTrue(pair.toStringSep().equals("xnbt_btc"));
    }
}
